{{extend 'layout.html'}}


<style>
.row-buttons{
  padding:10px;
}
.firstrow{
  padding-top:40px;
}
p{
  font-size:18px;
}
  .btn {
    margin:30px;
  }
</style>


<div class="container">
  <div class="row firstrow">
    <div class="col-md-12">

    <h5 class="results">
    </h5>

    <button id="import_into_db" style="display:none" type="button" class="btn btn-info">Importar resultado en BD</button>

    </div>
  </div>
</div>


<script>



  var myinterval = window.setInterval(refresh_extraction_status, 800);

  function refresh_extraction_status(){
    jQuery.ajax({

      url : '/read_lastline_merging_log',
      type : 'GET',
      dataType:'html',
      success : function(data) {              

          $(".results").html(data);
          
          if (data.includes("Done")) {
           window.clearInterval(myinterval);
            $("#import_into_db").show();

          }
      },
      error : function(request,error)
      {
          alert("Request: "+JSON.stringify(request));
      }
    });
  }

  $( "#import_into_db" ).click(function() {
    import_into_db();
  });

  function import_into_db(){

  }
</script>
